GetEffectivePogoFieldSite (Groovy 5.0.6)

Package: org.codehaus.groovy.runtime.callsite

## [Java] Class GetEffectivePogoFieldSite

- org.codehaus.groovy.runtime.callsite.GetEffectivePogoFieldSite

-     public class GetEffectivePogoFieldSite
      extends AbstractCallSite

- - Inherited fields
    Fields inherited from class | Fields
    --- | ---
    `class AbstractCallSite` | `array, index, name`

  - ### Constructor Summary

    Constructors
    Constructor and description
    `GetEffectivePogoFieldSite(CallSite site, MetaClass metaClass, CachedField effective)`

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `public final CallSite` | `acceptGetProperty(Object receiver)`
    `` | `public final CallSite` | `acceptGroovyObjectGetProperty(Object receiver)`
    `` | `public final Object` | `callGetProperty(Object receiver)`
    `` | `public final Object` | `callGroovyObjectGetProperty(Object receiver)`
    `` | `public final Object` | `getProperty(Object receiver)`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class AbstractCallSite` | `acceptGetProperty, acceptGroovyObjectGetProperty, call, call, call, call, call, call, callConstructor, callConstructor, callConstructor, callConstructor, callConstructor, callConstructor, callCurrent, callCurrent, callCurrent, callCurrent, callCurrent, callCurrent, callGetProperty, callGetPropertySafe, callGroovyObjectGetProperty, callGroovyObjectGetPropertySafe, callSafe, callSafe, callSafe, callSafe, callSafe, callSafe, callStatic, callStatic, callStatic, callStatic, callStatic, callStatic, createGetPropertySite, createGroovyObjectGetPropertySite, getArray, getIndex, getName, getProperty`

- - ### Constructor Detail

    - #### public GetEffectivePogoFieldSite(CallSite site, MetaClass metaClass, CachedField effective)

  - ### Method Detail

    - #### @Override
      public final CallSite acceptGetProperty(Object receiver)

    - #### @Override
      public final CallSite acceptGroovyObjectGetProperty(Object receiver)

    - #### @Override
      public final Object callGetProperty(Object receiver)

    - #### @Override
      public final Object callGroovyObjectGetProperty(Object receiver)

    - #### @Override
      public final Object getProperty(Object receiver)